Bug 488660 - Documentation for heartbeats -- add to the cluster chapter
Documentation for heartbeats -- add to the cluster chapter
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Documentation (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Andrew Stitcher
Jeff Needle
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 22:27 EST by Carl Trieloff
Modified: 2010-09-09 23:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 23:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Trieloff 2009-03-04 22:27:47 EST
Heartbeat can be configured to allow clients to detect when a broker has failed and connect to another broker or cluster member.Heartbeats are sent by the broker at a client specified, per-connection frequency. If the client does not receive a heartbeat or any other traffic for two heartbeat intervals, the connection will be made to fail.

What would happen when there is a no heartbeat within a predefined interval?

If there is no traffic for two heartbeat intervals, the client will fail the connection. The application will see the exact same response as when the connection is killed.

What happens if the broker is unable to send heartbeat?

As above, if there is no other traffic the client will eventually kill the connection.

Does the client retry?

You can control the heartbeat interval on the client through the heartbeat member of ConnectionSettings (it is measured in seconds). Some of the options on policies do vary for different clients.
Comment 1 Lana Brindley 2009-03-08 21:09:56 EDT
Need setup and configuration information, and usage examples (if possible).

Thanks,
LKB
Comment 2 Carl Trieloff 2009-03-30 08:48:58 EDT
Assigning to Andrew to provide C++ configuration info,

then assign to Rafi to provide Java configuration info.

Note You need to log in before you can comment on or make changes to this bug.